<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Abort</title>
</head>
<body>
  <textarea id="result" disabled rows="20" cols="80">wait data...</textarea> 
  <br/><br/>
  <button id="loadFetch">load fetch data</button>
  <button id="loadPromise">load promise data</button>
  <button id="cancel">cancel load</button>

  <script src="main.ts" type="module"></script>
</body>
</html>